VGONE(9)

NAME
vgone, vgonel - prepare a vnode for reuse

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
void
vgone(struct vnode *vp);
void
vgonel(struct vnode *vp, struct proc *p);

DESCRIPTION
vgone() and vgonel() prepare a vnode for reuse by another file system. The preparation includes the cleaning of all file system specific data and the removal from its mount point vnode list.

The difference between vgone() and vgonel() is that vgone() locks the vnode interlock and then calls vgonel() while vgonel() expects the interlock to already be locked.

SEE ALSO
vclean(9), vnode(9), vrecycle(9)

AUTHORS
This man page was originally written by Chad David <davidc@acns.ab.ca> for FreeBSD.